<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td>
            	<table cellpadding="0" cellspacing="0" border="0" height="25" style="float:left;">
            	<tr>
            	<td class="menuitemactive">
            		<a href="{@HREF}"><img src="images/mark.gif" width="8" height="6" border="0" alt=""/><br />
            		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
            	</td>
            	<td class="menudivider"></td>
            	</tr>
            	</table>
		 </td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		<td>
            	<table cellpadding="0" cellspacing="0" border="0" height="25" style="float:left;">
            	<tr>
            	<td class="menuitemactive">
            		<img src="images/mark.gif" width="8" height="6" border="0" alt=""/><br />
            		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
            	</td>
            	<td class="menudivider"></td>
            	</tr>
            	</table>
		</td>
            </xsl:when>
            <xsl:otherwise>
		<td>
            	<table cellpadding="0" cellspacing="0" border="0" height="25" style="float:left;">
            	<tr>
            	<td class="menuitem">
            		<a href="{@HREF}"><img src="images/mark.gif" width="8" height="6" border="0" alt=""/><br />
            		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
            	</td>
            	<td class="menudivider"></td>
            	</tr>
            	</table>
		 </td>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
            	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="secondmenuitemactive">
            	<tr>
            	<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            	<td class="secondmenumark"><img src="images/2ndmenu_mark.gif" width="17" height="17" border="0" alt=""/></td>
            	</tr>
            	</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="secondmenuitem">
                	<tr>
                	<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                	<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="17" height="17" border="0" alt=""/></a></td>
                	</tr>
                	</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
