<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- aa-13 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
          <tr>
            <td width="100%" height="100%"><table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-color: #ffffff; background-image: url('images/top.jpg'); background-position: top left; background-repeat:no-repeat;">
              <tr height="25">
                <td width="10"><div style="width:10px; height:0px;"><spacer></spacer></div></td>
                <td colspan="3" valign="bottom" style="background-color: #333333; background-image: url(images/menu_right.gif); background-position: bottom right; background-repeat: no-repeat;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td style="background:url(images/menu_left.gif) bottom left no-repeat; padding-left:20px"><table border="0" cellspacing="0" cellpadding="0">
                          <tr> <xsl:call-template name="TOP-MENU"/> </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr height="175">
                <td width="10" height="134"><div style="width:10px; height:0px;"><spacer></spacer></div></td>
                <td colspan="3" background="images/top_repeat.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="175"  style="padding:0px 290px 0px 30px; background-image: url(images/top.jpg);
	background-repeat: no-repeat;
	background-position: right;"><table cellpadding="0" cellspacing="0" border="0">
                          <tr>
                            <td style="padding-right:4px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                            <td><div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
                                <div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr height="56">
                <td rowspan="2"></td>
                <td height="100%" colspan="3" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="200" valign="top" class="second-bg" style="background-image: url('images/2ndmenu_bottom.gif'); background-position: bottom left; background-repeat: no-repeat;"><table cellpadding="0" cellspacing="0" border="0" width="200" height="44" class="second-top" style="background-image: url('images/2ndmenu_top.gif'); background-repeat: no-repeat;">
                          <tr>
                            <td></td>
                          </tr>
                        </table>
                          <!-- CALL SUB-MENU -->
                          <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="44">
                            <tr>
                              <td><div style="width:200px; height:0px;"><spacer/></div></td>
                            </tr>
                        </table></td>
                      <td width="10"><div style="width:10px; height:0px;"><spacer></spacer></div></td>
                      <td width="100%" height="100%" valign="top"><table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                          <tr height="44">
                            <td style="background-image:url(images/text_c1.gif); background-position: bottom right; background-repeat: no-repeat;"><div style="width:25px; height:0px;"><spacer></spacer></div></td>
                            <td width="100%" class="pageheader" valign="bottom" style="padding-bottom:7px; background-image: url('images/pageheader_bg.jpg'); background-position: bottom left; background-repeat: no-repeat;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td style="background-image:url(images/text_c2.gif); background-position: bottom left; background-repeat: no-repeat;"><div style="width:25px; height:0px;"><spacer></spacer></div></td>
                          </tr>
                          <tr height="100%">
                            <td height="100%" colspan="3" class="thatext pageContent" style="padding:24px 25px 0px 25px;"><div class="pageContent"> <xsl:apply-templates select="PAGE-CONTENT"/> </div></td>
                          </tr>
                          <tr height="25">
                            <td style="background-image:url(images/text_c4.gif); background-position: top right; background-repeat: no-repeat;"><div style="width:25px; height:0px;"><spacer></spacer></div></td>
                            <td class="text-bg"></td>
                            <td style="background-image:url(images/text_c3.gif); background-position: top left; background-repeat: no-repeat;"><div style="width:25px; height:0px;"><spacer></spacer></div></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr height="56">
                <td width="200"></td>
                <td width="7"></td>
                <td width="756" class="bottommenu" style="padding-left:25px; border-bottom:1px solid #cccccc;"><!-- CALL BOTTOM-MENU -->
                    <xsl:call-template name="BOTTOM-MENU"/> </td>
              </tr>
              <tr height="93">
                <td colspan="4" class="copy" valign="top" style="padding:21 30px 20px 245px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
            <td width="10"><img name="" src="" width="10" height="1" alt=""/></td>
          </tr>
        </table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
   				
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        		<a href="{@HREF}"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b>
            </xsl:when>
            <xsl:otherwise>
        		<a class="bottommenu" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
            </xsl:otherwise>
        </xsl:choose>
   		<xsl:if test="position()!=last()">
			&#160;&#160;|&#160;
   		</xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
