<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<tr>
           	 <td width="12px" height="19px"><a href="{@HREF}"><img src="images/bullet.gif" width="12px" height="9px" border="0"/></a></td>
           	 <td align="right" style="padding-right:15px; "><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          	</tr>
			</xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<tr>
           	 <td width="12px" height="19px"><img src="images/bullet.gif" width="12px" height="9px" border="0"/></td>
           	 <td align="right" style="padding-right:15px; " class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          	</tr>
			</xsl:when>
            <xsl:otherwise>
			<tr>
           	 <td width="12px" height="19px"><a href="{@HREF}"><img src="images/bullet.gif" width="12px" height="9px" border="0"/></a></td>
           	 <td align="right" style="padding-right:15px; "><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          	</tr>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
		<tr>
            <td colspan="2" align="right" height="1px"><img src="images/menu_hr.gif" width="154px" height="1px" border="0"/></td>
          </tr>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
